package projectzombie.input.types;

public interface InputGUITextBox {
	public void onBackspace();
	public void onDelete();
	public void onPressed(char character);
	public void onMoveCursor(int direction);
	public void setFocus(boolean focus);
	public void onPaste();
	public void onHome();
	public void onEnd();
}
